package com.upyuns.platform.rs.website.controller;

import com.alibaba.fastjson.JSONObject;
import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.TModelBiz;
import com.upyuns.platform.rs.website.biz.TModelTypeBiz;
import com.upyuns.platform.rs.website.entity.TModel;
import com.upyuns.platform.rs.website.entity.TModelType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Arrays;

@RestController
@RequestMapping("tModelType")
public class TModelTypeController extends BaseController<TModelTypeBiz, TModelType> {



    @GetMapping(value = "/app/unauth/getAll")
    @IgnoreUserToken
    public ObjectRestResponse getAll() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("softwareFramework", Arrays.asList("TensorFlow","pytorch","paddle","oneflow"));
        jsonObject.put("modelTypes",baseBiz.getAll());
        return ObjectRestResponse.succ(jsonObject);
    }


}
