package com.upyuns.platform.rs.website.controller;

import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.ApiDocBiz;
import com.upyuns.platform.rs.website.biz.BannerBiz;
import com.upyuns.platform.rs.website.dto.ApiDocDTO;
import com.upyuns.platform.rs.website.entity.ApiDoc;
import com.upyuns.platform.rs.website.entity.Banner;
import com.upyuns.platform.rs.website.entity.TModel;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("apiDoc")
public class apiDocController extends BaseController<ApiDocBiz, ApiDoc> {


//    /**
//     * 查询文档列表
//     * @return
//     */
//    @GetMapping(value = "/app/unauth/addUpdate/tree")
//    @IgnoreUserToken
//    public ObjectRestResponse getTree() {
//        return baseBiz.getTree();
//    }


    @PostMapping(value = "/app/unauth/list")
    @IgnoreUserToken
    public ObjectRestResponse list(@RequestBody ApiDocDTO apiDocDTO) {
        return baseBiz.getList(apiDocDTO);
    }






}
